aboutsummaryrefslogtreecommitdiff
path: root/tests/simple.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/simple.sh')
-rw-r--r--tests/simple.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/simple.sh b/tests/simple.sh
index 15bd2bd16..50d44f93f 100644
--- a/tests/simple.sh
+++ b/tests/simple.sh
@@ -25,3 +25,9 @@ if test "$outPath" != "/foo/lfy1s6ca46rm5r6w4gg9hc0axiakjcnm-dependencies.drv";
echo "hashDerivationModulo appears broken, got $outPath"
exit 1
fi
+
+outPath="$(NIX_REMOTE=local?store=/foo\&real=$TEST_ROOT/real-store nix-instantiate --readonly-mode big-derivation-attr.nix)"
+if test "$outPath" != "/foo/xxiwa5zlaajv6xdjynf9yym9g319d6mn-big-derivation-attr.drv"; then
+ echo "big-derivation-attr.nix hash appears broken, got $outPath. Memory corruption in large drv attr?"
+ exit 1
+fi